aboutsummaryrefslogtreecommitdiff
path: root/INSTALL
diff options
context:
space:
mode:
authorMatthew Wild <mwild1@gmail.com>2013-03-31 22:40:01 +0100
committerMatthew Wild <mwild1@gmail.com>2013-03-31 22:40:01 +0100
commitdd401cdf65a0e5e5886beea09f62346b3aa1e595 (patch)
tree1087c02f04a70f5c4d666b6ddf93776a31171adc /INSTALL
parent8aa76c53a9618415211ea54d3c798747b82eeb64 (diff)
downloadprosody-im-server-dd401cdf65a0e5e5886beea09f62346b3aa1e595.tar
prosody-im-server-dd401cdf65a0e5e5886beea09f62346b3aa1e595.zip
INSTALL: Update from wiki
Diffstat (limited to 'INSTALL')
-rw-r--r--INSTALL15
1 files changed, 8 insertions, 7 deletions
diff --git a/INSTALL b/INSTALL
index 089e3133..f0fa894d 100644
--- a/INSTALL
+++ b/INSTALL
@@ -1,18 +1,18 @@
-(This file was created from
-http://prosody.im/doc/installing_from_source on 2012-05-12)
+(This file was created from
+http://prosody.im/doc/installing_from_source on 2013-03-31)
-===== Building =====
+====== Installing from source ======
==== Dependencies ====
There are a couple of libraries which Prosody needs installed before
you can build it. These are:
- * lua5.1: The interpreter
+ * lua5.1: The Lua 5.1 interpreter
* liblua5.1: Lua 5.1 library
* libssl 0.9.8: OpenSSL
* libidn11: GNU libidn library, version 1.1
-These can be installed on Debian/Ubuntu with the packages:
-lua5.1 liblua5.1-dev libidn11-dev libssl-dev
+These can be installed on Debian/Ubuntu with the packages: lua5.1
+liblua5.1-dev libidn11-dev libssl-dev
On Mandriva try: urpmi lua liblua-devel libidn-devel libopenssl-devel
@@ -33,7 +33,8 @@ accepts. You can load a preset using:
./configure --ostype=PRESET
-Where PRESET can currently be one of: debian, macosx or freebsd
+Where PRESET can currently be one of: 'debian', 'macosx' or (in 0.8
+and later) 'freebsd'
==== make ====
Once you have run configure successfully, then you can simply run: